package ru.ulstu.models;

public class Forecast {
    private Model model;
    private TimeSeries forecast;

    public Forecast(Model model) {
        this.model = model;
        this.forecast = new TimeSeries("Forecast time series of '" + model.getOriginalTimeSeries().getName() + "'");
    }

    public Model getModel() {
        return model;
    }

    public TimeSeries getForecastTimeSeries() {
        return forecast;
    }

    public void addValue(TimeSeriesValue timeSeriesValue) {
        forecast.addValue(timeSeriesValue);
    }

    @Override
    public String toString() {
        return "Forecast{" +
                "model=" + model +
                ", forecast=" + forecast +
                '}';
    }
}
